﻿using CMS.DocumentEngine;
using CMS.Helpers;
using CMS.Membership;
using CMS.UIControls;
using System;

namespace Custom
{
    [Security(Resource = "CMS.Content", UIElements = "Validation.GooglePageSpeedTest")]
    public partial class GooglePageSpeedTest : CMSValidationPage
    {
        public string strURL;

        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                // Determine the url of the requested page
                if (ValidationHelper.GetInteger(Request.QueryString["nodeid"], 0) > 0)
                {
                    // Get the node url
                    TreeProvider tree = new TreeProvider(MembershipContext.AuthenticatedUser);
                    var node = DocumentHelper.GetDocument(ValidationHelper.GetInteger(Request.QueryString["nodeid"], 0), "en-US", tree);

                    if (node != null)
                    {
                        strURL = node.AbsoluteURL;
                    }
                }
            }
            catch(Exception ex)
            {

            }
        }
    }
}